Skip to main content

Create a payment

POST 

/api/payout_transaction_details

This endpoint is intended to create a new payment.

Prerequisites:

To use this endpoint you need to have the PAYMENT_CREATE scope for the API Key. Please contact your relation manager to get this permission.

Request Parameters:

Beneficiary Object is represented as Contact Object.

  • beneficiary.type : specifies the type of beneficiary and can be either "legal_entity" or "person"
  • beneficiary.country : indicates the two-letter ISO country code of the beneficiary's country (e.g., "CH" for Switzerland)
  • either bankAccount.iban or bankAccount.accountNumber is mandatory

Payment signoff

  • Default: payments created with API are not signed off, they must be signed off in amnis Web App before being processed
  • PEER: payments created with API to an IBAN of current amnis customers are automatically signed and immediately processed as PEER payment. Learn more here about amnis PEER.

Request

Header Parameters

    Unique-Request-Id string

    Possible values: <= 50 characters

    An optional unique identifier for the request, limited to 50 characters. Used to track requests and prevent duplication.

Body

required
    amount stringnullrequired
    executionDate stringnull

    If left empty, the next possible execution date will be selected automatically

    reference stringnullrequired

    Possible values: >= 3 characters and <= 140 characters

    This text will be seen by the beneficiary

    feeSchedule string

    Possible values: <= 4 characters, [DEBT, SHAR, CRED]

    For LOCAL payments leave it empty, for SWIFT payments provide a value

    beneficiary object

    The beneficiary field is required, except for payments to IBANs linked to existing amnis customers.

    anyOf
    name string
    address string
    city string
    zip string
    country string
    type string
    bankAccount object required
    anyOf
    iban string
    accountNumber string
    swift string
    currency string
    country string
    additionalFields object[]nullable
  • Array [
  • name string
    value string
  • ]
  • externalId stringnull

    This should be a unique ID used to identify this payment in your system.

Responses

OK - The request was processed successfully.

Schema
    oneOf
    id integer
    account integer
    currency string
    amount stringnull
    status string

    Possible values: [created, pending, transferred, canceled, pending_execution, executed, execution_error]

    executionDate stringnull

    If left empty, the next possible execution date will be selected automatically

    transferredAt stringnull
    finishedAt stringnull
    reference stringnull

    This text will be seen by the beneficiary

    feeSchedule string

    Possible values: [DEBT, SHAR, CRED]

    For LOCAL payments leave it empty, for SWIFT payments provide a value

    contact integer
    beneficiary object

    The beneficiary field is required, except for payments to IBANs linked to existing amnis customers.

    anyOf
    accountNumber string
    bankName stringnullable
    bankCountry stringnullable
    name string
    address stringnullable
    city stringnullable
    zip stringnullable
    country stringnullable
    contact stringnullable
    fromAutomation boolean
Loading...